Set or clear the operator note on a run
curl --request PATCH \
--url https://breadbox.example.com/api/v1/workflows/runs/{shortId} \
--header 'Content-Type: application/json' \
--header 'X-API-Key: <api-key>' \
--data '
{
"note": "<string>"
}
'import requests
url = "https://breadbox.example.com/api/v1/workflows/runs/{shortId}"
payload = { "note": "<string>" }
headers = {
"X-API-Key": "<api-key>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {'X-API-Key': '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({note: '<string>'})
};
fetch('https://breadbox.example.com/api/v1/workflows/runs/{shortId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{}Body: { "note": "..." }. Empty string clears the field. Capped
at 2000 chars. Requires full_access scope.
Set or clear the operator note on a run
Authorizations
Breadbox API key with format bb_<base62>. Carries either read_only
or full_access scope. Write endpoints (and a handful of sensitive
reads — /api-keys, /users/{user_id}/login) require full_access;
endpoints that require it are flagged in their description.
Path Parameters
Body
application/json
Maximum string length:
2000Response
200 - application/json
Updated run.
The response is of type object.
Last modified on June 25, 2026
⌘I